package org.gcube.gcat.social;

import java.util.ArrayList;
import java.util.List;
import java.util.UUID;

import org.gcube.gcat.ContextTest;
import org.junit.Test;

public class SocialPostTest extends ContextTest {
	
	@Test
	public void testSendPost() throws Exception {
		SocialPost socialService = new SocialPost();
		socialService.setItemID(UUID.randomUUID().toString());
		socialService.setItemTitle("Test Item");
		socialService.setItemURL("https://www.d4science.org");
		List<String> tags = new ArrayList<>();
		tags.add("Test");
		tags.add("ThisIsATest");
		tags.add("IgnoreIt");
		socialService.setTags(tags);
		
		socialService.sendSocialPost(false);
	}
	
}
